%global pypi_name betamax-matchers

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        3%{?dist}
Summary:        A set of third-party matchers for Betamax

License:        ASL 2.0
URL:            https://github.com/betamaxpy/betamax_matchers
Source0:        https://github.com/betamaxpy/betamax_matchers/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A set of third-party matchers for Betamax.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-betamax
BuildRequires:  python3-requests-toolbelt
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A set of third-party matchers for Betamax.

%prep
%autosetup -n betamax_matchers-%{version}

%build
%py3_build

%install
%py3_install

%check
pytest-%{python3_version} -v tests

%files -n python3-%{pypi_name}
%doc AUTHORS.rst HISTORY.rst README.rst
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/betamax_matchers/

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 08 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.0-2
- Switch source to GitHub
- Run tests

* Thu May 09 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.0-1
- Initial package for Fedora
